ELMessageTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.bean
Class ELMessageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.bean.MessageTag
              org.apache.strutsel.taglib.bean.ELMessageTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELMessageTag

extends MessageTag

Custom tag that retrieves an internationalized messages string (with optional parametric replacement) from the `ActionResources` object stored as a context attribute by our associated `ActionServlet` implementation.

This class is a subclass of the class `org.apache.struts.taglib.bean.MessageTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.bean.MessageTag
`arg0, arg1, arg2, arg3, arg4, bundle, key, localeKey, messages, name, property, scope`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELMessageTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getArg0Expr()` Getter method for "arg0" tag attribute.
`String` | `getArg1Expr()` Getter method for "arg1" tag attribute.
`String` | `getArg2Expr()` Getter method for "arg2" tag attribute.
`String` | `getArg3Expr()` Getter method for "arg3" tag attribute.
`String` | `getArg4Expr()` Getter method for "arg4" tag attribute.
`String` | `getBundleExpr()` Getter method for "bundle" tag attribute.
`String` | `getKeyExpr()` Getter method for "key" tag attribute.
`String` | `getLocaleExpr()` Getter method for "locale" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`String` | `getScopeExpr()` Getter method for "scope" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setArg0Expr(String arg0Expr)` Setter method for "arg0" tag attribute.
`void` | `setArg1Expr(String arg1Expr)` Setter method for "arg1" tag attribute.
`void` | `setArg2Expr(String arg2Expr)` Setter method for "arg2" tag attribute.
`void` | `setArg3Expr(String arg3Expr)` Setter method for "arg3" tag attribute.
`void` | `setArg4Expr(String arg4Expr)` Setter method for "arg4" tag attribute.
`void` | `setBundleExpr(String bundleExpr)` Setter method for "bundle" tag attribute.
`void` | `setKeyExpr(String keyExpr)` Setter method for "key" tag attribute.
`void` | `setLocaleExpr(String localeExpr)` Setter method for "locale" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.
`void` | `setScopeExpr(String scopeExpr)` Setter method for "scope" tag attribute.

Methods inherited from class org.apache.struts.taglib.bean.MessageTag
`getArg0, getArg1, getArg2, getArg3, getArg4, getBundle, getKey, getLocale, getName, getProperty, getScope, setArg0, setArg1, setArg2, setArg3, setArg4, setBundle, setKey, setLocale, setName, setProperty, setScope`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELMessageTag

    public ELMessageTag()

Method Detail

### getArg0Expr

    public String getArg0Expr()

  Getter method for "arg0" tag attribute. (Mapping set in associated BeanInfo class.)

### getArg1Expr

    public String getArg1Expr()

  Getter method for "arg1" tag attribute. (Mapping set in associated BeanInfo class.)

### getArg2Expr

    public String getArg2Expr()

  Getter method for "arg2" tag attribute. (Mapping set in associated BeanInfo class.)

### getArg3Expr

    public String getArg3Expr()

  Getter method for "arg3" tag attribute. (Mapping set in associated BeanInfo class.)

### getArg4Expr

    public String getArg4Expr()

  Getter method for "arg4" tag attribute. (Mapping set in associated BeanInfo class.)

### getBundleExpr

    public String getBundleExpr()

  Getter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### getKeyExpr

    public String getKeyExpr()

  Getter method for "key" tag attribute. (Mapping set in associated BeanInfo class.)

### getLocaleExpr

    public String getLocaleExpr()

  Getter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getScopeExpr

    public String getScopeExpr()

  Getter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### setArg0Expr

    public void setArg0Expr(String arg0Expr)

  Setter method for "arg0" tag attribute. (Mapping set in associated BeanInfo class.)

### setArg1Expr

    public void setArg1Expr(String arg1Expr)

  Setter method for "arg1" tag attribute. (Mapping set in associated BeanInfo class.)

### setArg2Expr

    public void setArg2Expr(String arg2Expr)

  Setter method for "arg2" tag attribute. (Mapping set in associated BeanInfo class.)

### setArg3Expr

    public void setArg3Expr(String arg3Expr)

  Setter method for "arg3" tag attribute. (Mapping set in associated BeanInfo class.)

### setArg4Expr

    public void setArg4Expr(String arg4Expr)

  Setter method for "arg4" tag attribute. (Mapping set in associated BeanInfo class.)

### setBundleExpr

    public void setBundleExpr(String bundleExpr)

  Setter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### setKeyExpr

    public void setKeyExpr(String keyExpr)

  Setter method for "key" tag attribute. (Mapping set in associated BeanInfo class.)

### setLocaleExpr

    public void setLocaleExpr(String localeExpr)

  Setter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setScopeExpr

    public void setScopeExpr(String scopeExpr)

  Setter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `MessageTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `MessageTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.